<?php

if (!defined('XOOPS_ROOT_PATH')) exit();

if (!defined('XOOPS_REST_PATH'))
  define('XOOPS_REST_PATH', XOOPS_TRUST_PATH.'/modules/rest');

if (!defined('XOONIPS_CLASS_PATH'))
  define('XOONIPS_CLASS_PATH', XOOPS_TRUST_PATH.'/modules/rest/class/');

if (!defined('XOONIPS_CONTROL_PATH'))
  define('XOONIPS_CONTROL_PATH', XOONIPS_CLASS_PATH.'control/');

if (!defined('XOONIPS_MODEL_PATH'))
  define('XOONIPS_MODEL_PATH', XOONIPS_CLASS_PATH.'model/');

if (!defined('XOONIPS_MAIN_PATH'))
  define('XOONIPS_MAIN_PATH', XOOPS_TRUST_PATH.'/modules/xoonips');

if (!defined('XOONIPS_USER_PATH'))
  define('XOONIPS_USER_PATH', XOOPS_TRUST_PATH.'/modules/user');


$root =& XCube_Root::getSingleton();
$mLanguageName = $root->mLanguageManager->getLocale();
require_once XOOPS_REST_PATH.'/language/'.$mLanguageName.'/modinfo.php';

// module name
$modversion['name'] = _MI_XOONIPS_REST_NAME;
// module version
$modversion['version'] = 1.00;
// module description
$modversion['description'] = _MI_XOONIPS_REST_DESC;
$modversion['author'] = 'The XooNIps Project (http://sourceforge.jp/projects/xoonips/)';
//none official module(0).
$modversion['license'] = 'GPL';
$modversion['official'] = 0;
$modversion['image'] = 'images/logo.png';
$modversion['dirname'] = $mydirname;;
$modversion['cube_style'] = true;

// Admin
$modversion['hasAdmin'] = 0;
$modversion['adminmenu'] = '';

//Main -- It's dummy.Any user can read rest module but auth do rest module.
$modversion['hasMain'] = 0;
$modversion['read_any'] = 1;

$modversion['legacy_installer'] = array(
  'installer' => array(
    'class' => 'Installer',
    'namespace' => 'Rest',
    'filepath'=> XOOPS_REST_PATH.'/admin/class/installer/RestInstaller.class.php'
  ),
);
$modversion['disable_legacy_2nd_installer'] = false;
